# Leitstelle511 Webseite

Dieses Projekt enthält den source für die Webseite sowie sinnvolle Informationen zum bauen des hugos.

## Klonen des Repositories

Hierzu könnt ihr einfach die normalen forgejo funktionen nutzen.

## An der Webseite rumdoktorn:

Dem Projekt liegt ein Dockerfile bei, mit welchem ihr euch hugo nicht local installieren müsst.
Ihr könnt euch das Image lokal mit folgendem Befehl bauen:

    podman build -t gohugo docker/

und mit diesem Befehl einen devserver starten

    podman run -v $(pwd):/work -w /work -p 1313:1313 gohugo hugo server --bind 0.0.0.0

Nun sollte in eurem Terminal ein Link erscheinen, und wenn ihr den in euren Browser knallt könnt ihr die Webseite sehen.

Ihr könnt das ganze natürlich auch ohne docker/podman machen, hierzu gibt es auf der
[Hugo-Webseite](https://gohugo.io/installation/) weitere Informationen

## Content verfassen:

Wenn ihr neue Inhalte auf die Webseite bringen wollt, so reicht es diese einfach per git zu pushen. Bei allen pushes auf
den main branch wird das HTML automatisch neu generiert und auf den Server geschoben.

Um einen neuen Blogpost zu verfassen, muss eine neue Datei im Ordner `content`
erstellt werden. Bei dem Dateinamen das Format `YYYY-MM-DD-$title.markdown`
verwenden. Dazu müssen am Anfang der Datei noch einige Metainformationen
eingefügt werden: 

    ---
    title: "Der Titel des Blogposts"
    date: YYYY-MM-DD
    author: "Ernst"
    ---

Die zu verwendende Markdown Syntax für den Inhalt ist unter
http://daringfireball.net/projects/markdown/syntax beschrieben.
Bei den Pages ist der Dateiname `Pagename.markdown` und die Metainformationen
wie folgt:

    ---
    title: "Kontakt"
    slug: "contact"
    ---

`slug` ist hier die Url, wie auf die Seite verlinkt werden soll damit diese mit Aufruf
von https://hannover.ccc.de/contact/ erreichbar ist.

Zusätzlich kann bei Seiten und Blogposts noch ein custom Headerimage
angegeben werden dies geschieht mit `headerimage: "dateiname.{jpg|png|whatever}"`.
Der Pfad is hier relativ zum Ordner `content/images` in dem das Bild auch
gespeichert werden muss.
