#!/bin/sh

apk add --no-cache \
    brotli \
    gzip \
    hugo

echo 'hello'

hugo 

find ./public -type f -regex ".*\.\(css\|html\|js\|json\|svg\|xml\)$" \
    -exec brotli --best -f {} \+  \
    -exec gzip --best -k -f {} \+

exit 0
